﻿/*
	DbFS.NET
    Copyright (C) 2016 SCAND Ltd, svg@scand.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;

namespace dbfs.exceptions
{
	public class BranchLockedException : DbfsException
	{
		public DateTime ReleaseDate { get; private set; }
		public int UserId { get; private set; }

		public BranchLockedException(DateTime lock_release_date, int user_id)
		 : base("Branch is locked.")
		{
			this.ReleaseDate = lock_release_date;
			this.UserId = user_id;
		}
	}
}
