﻿/*
	DbFS.NET
    Copyright (C) 2016 SCAND Ltd, svg@scand.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System.Data.Entity;
using System.Data.EntityClient;
using dbfs.utils;

namespace dbfs.model
{
	public partial class Context : DbContext
	{
		public Context(string connectionString) : base(connectionString)
		{
		}

		public static Context Create(string configName = "dbfs")
		{
			Config config = Config.Get(configName);

			var entityBuilder = new EntityConnectionStringBuilder();
			entityBuilder.Provider = config.GetText("db/provider");
			entityBuilder.ProviderConnectionString = config.GetText("db/connection-string");
			entityBuilder.Metadata =
				@"res://*/model.Model.csdl|res://*/model.Model.ssdl|res://*/model.Model.msl";

			return new Context(entityBuilder.ToString());
		}
	}
}
