﻿/*
	DbFS.NET
    Copyright (C) 2016 SCAND Ltd, svg@scand.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

namespace dbfs.repository
{
	using Path = System.IO.Path;
	using dbfs.model;
	using dbfs.utils;

	class FileManagement : RepositoryManagement
	{
		public File Create(string path)
		{
			var file = new File {
				path = path,
				is_directory = path.IsFolder(),
			};

			if (path == "/")
				file.folder = "";
			else
				file.folder = FileUtils.GetDirectoryName(path).EnsureFolder();
			return file;
		}
	}
}
